## org.eclipse.datatools.enablement.mysql.ddl.shared
Class MySqlDdlBuilderHelper

    java.lang.Object
      org.eclipse.datatools.enablement.mysql.ddl.shared.MySqlDdlBuilderHelper

Direct Known Subclasses:
  MySqlDdlBuilder

    public abstract class MySqlDdlBuilderHelper

extends java.lang.Object

This class generates the actual sql statements for MySql

Constructor Summary
`MySqlDdlBuilderHelper()`

Method Summary
`java.lang.String` `addCheckConstraint(CheckConstraint constraint, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `addForeignKey(ForeignKey foreignKey, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `addUniqueConstraint(UniqueConstraint constraint, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `alterTableAddColumn(Column column, boolean quoteIdentifiers, boolean qualifyNames)`
`void` `clearCreate()`
`void` `clearDrop()`
`abstract java.lang.String` `createIndex(Index o, boolean quoteIdentifiers, boolean qualifyNames)`
`abstract java.lang.String` `createTable(BaseTable o, boolean quoteIdentifiers, boolean qualifyNames, boolean generatePKConstraints)`
`abstract java.lang.String` `createTrigger(Trigger o, boolean quoteIdentifiers, boolean qualifyNames)`
`abstract java.lang.String` `createView(ViewTable o, boolean quoteIdentifiers, boolean qualifyNames)`
`abstract java.lang.String` `dropIndex(Index o, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropTable(BaseTable table, boolean quoteIdentifiers, boolean qualifyNames)`
`java.util.List` `dropTableConstraint(TableConstraint constraint, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropTrigger(Trigger trigger, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropView(ViewTable view, boolean quoteIdentifiers, boolean qualifyNames)`
`IEngineeringCallBack` `getEngineeringCallBack()`
`void` `setEngineeringCallBack(IEngineeringCallBack callback)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySqlDdlBuilderHelper

    public MySqlDdlBuilderHelper()

Method Detail

### setEngineeringCallBack

    public void setEngineeringCallBack(IEngineeringCallBack callback)

### getEngineeringCallBack

    public IEngineeringCallBack getEngineeringCallBack()

### clearDrop

    public void clearDrop()

### clearCreate

    public void clearCreate()

### dropTrigger

    public java.lang.String dropTrigger(Trigger trigger,
                                        boolean quoteIdentifiers,
                                        boolean qualifyNames)

### dropView

    public java.lang.String dropView(ViewTable view,
                                     boolean quoteIdentifiers,
                                     boolean qualifyNames)

### dropTableConstraint

    public java.util.List dropTableConstraint(TableConstraint constraint,
                                              boolean quoteIdentifiers,
                                              boolean qualifyNames)

### dropTable

    public java.lang.String dropTable(BaseTable table,
                                      boolean quoteIdentifiers,
                                      boolean qualifyNames)

### alterTableAddColumn

    public java.lang.String alterTableAddColumn(Column column,
                                                boolean quoteIdentifiers,
                                                boolean qualifyNames)

### addCheckConstraint

    public java.lang.String addCheckConstraint(CheckConstraint constraint,
                                               boolean quoteIdentifiers,
                                               boolean qualifyNames)

### addUniqueConstraint

    public java.lang.String addUniqueConstraint(UniqueConstraint constraint,
                                                boolean quoteIdentifiers,
                                                boolean qualifyNames)

### addForeignKey

    public java.lang.String addForeignKey(ForeignKey foreignKey,
                                          boolean quoteIdentifiers,
                                          boolean qualifyNames)

### createTable

    public abstract java.lang.String createTable(BaseTable o,
                                                 boolean quoteIdentifiers,
                                                 boolean qualifyNames,
                                                 boolean generatePKConstraints)

### createIndex

    public abstract java.lang.String createIndex(Index o,
                                                 boolean quoteIdentifiers,
                                                 boolean qualifyNames)

### createTrigger

    public abstract java.lang.String createTrigger(Trigger o,
                                                   boolean quoteIdentifiers,
                                                   boolean qualifyNames)

### createView

    public abstract java.lang.String createView(ViewTable o,
                                                boolean quoteIdentifiers,
                                                boolean qualifyNames)

### dropIndex

    public abstract java.lang.String dropIndex(Index o,
                                               boolean quoteIdentifiers,
                                               boolean qualifyNames)